diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/test/flame/flame-test-suite.cc ns-3.43/src/mesh/test/flame/flame-test-suite.cc
--- ns-3.42/src/mesh/test/flame/flame-test-suite.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mesh/test/flame/flame-test-suite.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/test/flame/regression.cc ns-3.43/src/mesh/test/flame/regression.cc
--- ns-3.42/src/mesh/test/flame/regression.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mesh/test/flame/regression.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/test/mesh-information-element-vector-test-suite.cc ns-3.43/src/mesh/test/mesh-information-element-vector-test-suite.cc
--- ns-3.42/src/mesh/test/mesh-information-element-vector-test-suite.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mesh/test/mesh-information-element-vector-test-suite.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/bonnmotion-ns2-example.cc ns-3.43/src/mobility/examples/bonnmotion-ns2-example.cc
--- ns-3.42/src/mobility/examples/bonnmotion-ns2-example.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/bonnmotion-ns2-example.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2012 Eric Gamess
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/constant-mobility-example.cc ns-3.43/src/mobility/examples/constant-mobility-example.cc
--- ns-3.42/src/mobility/examples/constant-mobility-example.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/constant-mobility-example.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2024 Tokushima University, Tokushima, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/main-grid-topology.cc ns-3.43/src/mobility/examples/main-grid-topology.cc
--- ns-3.42/src/mobility/examples/main-grid-topology.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/main-grid-topology.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/core-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/main-random-topology.cc ns-3.43/src/mobility/examples/main-random-topology.cc
--- ns-3.42/src/mobility/examples/main-random-topology.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/main-random-topology.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/main-random-walk.cc ns-3.43/src/mobility/examples/main-random-walk.cc
--- ns-3.42/src/mobility/examples/main-random-walk.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/main-random-walk.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/core-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/mobility-trace-example.cc ns-3.43/src/mobility/examples/mobility-trace-example.cc
--- ns-3.42/src/mobility/examples/mobility-trace-example.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/mobility-trace-example.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Test that mobility tracing works
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/ns2-mobility-trace.cc ns-3.43/src/mobility/examples/ns2-mobility-trace.cc
--- ns-3.42/src/mobility/examples/ns2-mobility-trace.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/ns2-mobility-trace.cc	2024-10-09 16:41:10.056656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 INRIA
  *               2009,2010 Contributors
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Martín Giachino <martin.giachino@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/reference-point-group-mobility-animate.sh ns-3.43/src/mobility/examples/reference-point-group-mobility-animate.sh
--- ns-3.42/src/mobility/examples/reference-point-group-mobility-animate.sh	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/reference-point-group-mobility-animate.sh	2024-10-09 16:41:10.056656600 -0700
@@ -3,18 +3,7 @@
 # Copyright (c) 2019, University of Padova, Dep. of Information Engineering, SIGNET lab
 # Copyright (c) 2021, University of Washington: animation extensions
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Authors: Michele Polese <michele.polese@gmail.com>
 #          Tom Henderson <tomhend@uw.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/examples/reference-point-group-mobility-example.cc ns-3.43/src/mobility/examples/reference-point-group-mobility-example.cc
--- ns-3.42/src/mobility/examples/reference-point-group-mobility-example.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/examples/reference-point-group-mobility-example.cc	2024-10-09 16:41:10.056656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2020 Institute for the Wireless Internet of Things, Northeastern University,
  * Boston, MA Copyright (c) 2021 University of Washington: for HierarchicalMobilityModel
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Michele Polese <michele.polese@gmail.com>
  * Heavily edited by Tom Henderson (to reuse HierarchicalMobilityModel)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/helper/group-mobility-helper.cc ns-3.43/src/mobility/helper/group-mobility-helper.cc
--- ns-3.42/src/mobility/helper/group-mobility-helper.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/helper/group-mobility-helper.cc	2024-10-09 16:41:10.056656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2021 University of Washington: Group mobility changes
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Adapted from 'mobility-helper.cc' for group mobility by Tom Henderson
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/helper/group-mobility-helper.h ns-3.43/src/mobility/helper/group-mobility-helper.h
--- ns-3.42/src/mobility/helper/group-mobility-helper.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/helper/group-mobility-helper.h	2024-10-09 16:41:10.056656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2021 University of Washington: Group mobility changes
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Adapted from 'mobility-helper.h' for group mobility by Tom Henderson
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/helper/mobility-helper.cc ns-3.43/src/mobility/helper/mobility-helper.cc
--- ns-3.42/src/mobility/helper/mobility-helper.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/helper/mobility-helper.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/helper/mobility-helper.h ns-3.43/src/mobility/helper/mobility-helper.h
--- ns-3.42/src/mobility/helper/mobility-helper.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/helper/mobility-helper.h	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/helper/ns2-mobility-helper.cc ns-3.43/src/mobility/helper/ns2-mobility-helper.cc
--- ns-3.42/src/mobility/helper/ns2-mobility-helper.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/helper/ns2-mobility-helper.cc	2024-10-09 16:41:10.056656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 INRIA
  *               2009,2010 Contributors
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Contributors: Thomas Waldecker <twaldecker@rocketmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/helper/ns2-mobility-helper.h ns-3.43/src/mobility/helper/ns2-mobility-helper.h
--- ns-3.42/src/mobility/helper/ns2-mobility-helper.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/helper/ns2-mobility-helper.h	2024-10-09 16:41:10.056656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 INRIA
  *               2009,2010 Contributors
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Contributors: Thomas Waldecker <twaldecker@rocketmail.com>
@@ -66,7 +55,7 @@
  * The following tools are known to support this format:
  *  - BonnMotion http://net.cs.uni-bonn.de/wg/cs/applications/bonnmotion/
  *  - SUMO http://sourceforge.net/apps/mediawiki/sumo/index.php?title=Main_Page
- *  - TraNS http://trans.epfl.ch/
+ *  - TraNS https://web.archive.org/web/20190512111856/http://lca.epfl.ch/projects/trans/
  *
  *  See usage example in examples/mobility/ns2-mobility-trace.cc
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/box.cc ns-3.43/src/mobility/model/box.cc
--- ns-3.42/src/mobility/model/box.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/box.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Dan Broyles
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Dan Broyles <dbroyl01@ku.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/box.h ns-3.43/src/mobility/model/box.h
--- ns-3.42/src/mobility/model/box.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/box.h	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Dan Broyles
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Dan Broyles <dbroyl01@ku.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/constant-acceleration-mobility-model.cc ns-3.43/src/mobility/model/constant-acceleration-mobility-model.cc
--- ns-3.42/src/mobility/model/constant-acceleration-mobility-model.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/constant-acceleration-mobility-model.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/constant-acceleration-mobility-model.h ns-3.43/src/mobility/model/constant-acceleration-mobility-model.h
--- ns-3.42/src/mobility/model/constant-acceleration-mobility-model.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/constant-acceleration-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/constant-position-mobility-model.cc ns-3.43/src/mobility/model/constant-position-mobility-model.cc
--- ns-3.42/src/mobility/model/constant-position-mobility-model.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/constant-position-mobility-model.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/constant-position-mobility-model.h ns-3.43/src/mobility/model/constant-position-mobility-model.h
--- ns-3.42/src/mobility/model/constant-position-mobility-model.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/constant-position-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/constant-velocity-helper.cc ns-3.43/src/mobility/model/constant-velocity-helper.cc
--- ns-3.42/src/mobility/model/constant-velocity-helper.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/constant-velocity-helper.cc	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mobility/model/constant-velocity-helper.h ns-3.43/src/mobility/model/constant-velocity-helper.h
--- ns-3.42/src/mobility/model/constant-velocity-helper.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mobility/model/constant-velocity-helper.h	2024-10-09 16:41:10.056656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
